<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="355dp"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@drawable/shape_whiteradiu_bg"
    android:gravity="center_horizontal"
    android:minHeight="333dp"
    android:orientation="vertical">

    <TextView
        android:id="@+id/dialog_title_tv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="22dp"
        android:text="@string/changepsd"
        android:textColor="#253A70"
        android:textSize="18sp" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:singleLine="true"
                    android:text="@string/oldcode"
                    android:textColor="@color/black"
                    android:textSize="16sp" />

                <EditText
                    android:id="@+id/dialog_oldcode_et"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="15dp"
                    android:layout_marginTop="82dp"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:hint="@string/oldcodetips"
                    android:singleLine="true"
                    android:maxLength="16"
                    android:digits="@string/psw_style"
                    android:textColor="@color/black"
                    android:textColorHint="#FFB8C2D9"
                    android:textSize="16sp" />
            </LinearLayout>

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="15dp"
                android:src="#D0DBF4" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:singleLine="true"
                    android:text="@string/newcode"
                    android:textColor="@color/black"
                    android:textSize="16sp" />

                <EditText
                    android:id="@+id/dialog_newcode_et"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="15dp"
                    android:layout_marginTop="82dp"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:hint="@string/newcodetips"
                    android:singleLine="true"
                    android:digits="@string/psw_style"
                    android:maxLength="16"
                    android:textColor="@color/black"
                    android:textColorHint="#FFB8C2D9"
                    android:textSize="16sp" />
            </LinearLayout>

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="15dp"
                android:src="#D0DBF4" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:singleLine="true"
                    android:text="@string/enternewcode"
                    android:textColor="@color/black"
                    android:textSize="16sp" />

                <EditText
                    android:id="@+id/dialog_et"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="15dp"
                    android:layout_marginTop="82dp"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:hint="@string/enternewcodetips"
                    android:singleLine="true"
                    android:maxLength="16"
                    android:digits="@string/psw_style"
                    android:textColor="@color/black"
                    android:textColorHint="#FFB8C2D9"
                    android:textSize="16sp" />
            </LinearLayout>


            <ImageView
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="15dp"
                android:src="#D0DBF4" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="15dp"
                android:gravity="center_vertical"
                android:singleLine="true"
                android:text="@string/codetips"
                android:textColor="#F0153F"
                android:textSize="16sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="15dp"
                android:gravity="center_horizontal"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/dialog_cancel_tv"
                    android:layout_width="147dp"
                    android:layout_height="40dp"
                    android:background="@drawable/shape_tv_noselect_bg"
                    android:gravity="center"
                    android:text="@string/cancel"
                    android:textColor="#339DFF"
                    android:textSize="17sp" />

                <FrameLayout
                    android:layout_width="147dp"
                    android:layout_height="40dp"
                    android:layout_marginLeft="17dp">

                    <com.makeramen.roundedimageview.RoundedImageView
                        android:layout_width="147dp"
                        android:layout_height="40dp"
                        android:gravity="center"
                        android:scaleType="centerCrop"
                        android:src="@drawable/icon_login"
                        app:riv_corner_radius="10dp" />

                    <TextView
                        android:id="@+id/dialog_enter_tv"
                        android:layout_width="147dp"
                        android:layout_height="40dp"
                        android:gravity="center"
                        android:text="@string/enter"
                        android:textColor="@color/white"
                        android:textSize="17sp" />
                </FrameLayout>
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>